Get all financial commitments
curl --request GET \
--url https://api.vantage.sh/v2/financial_commitments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/financial_commitments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/financial_commitments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v2/financial_commitments",
"first": "https://api.vantage.sh/v2/financial_commitments?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/financial_commitments?page=1",
"prev": null
},
"financial_commitments": [
{
"commitment_type": "aws_savings_plan",
"service": "Compute",
"account": "153271892032",
"type": "3 Year Compute Savings Plan",
"instance_count": null,
"term": "1 Year",
"payment_type": "No upfront",
"region": null,
"purchase_date": "2024-04-15",
"expiration_date": "2025-04-15",
"commitment": "$1.00",
"status": "active",
"created_at": "2024-04-15T19:51:27Z",
"workspace_token": "wrkspc_8c897c3d73b69279"
}
]
}FinancialCommitments
Get all financial commitments
Return all FinancialCommitments.
GET
/
financial_commitments
Get all financial commitments
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- https://console.vantage.sh/account/profile
Scopes1
read
Grants read access
Query Parameters
The page of results to return.
The amount of results to return. The maximum is 1000.